Bug 445635 - Review Request: R-zoo - Z's ordered observations for irregular time series
Review Request: R-zoo - Z's ordered observations for irregular time series
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alex Lancaster
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-08 01:11 EDT by Orion Poplawski
Modified: 2008-05-25 09:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-25 09:46:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
alexl: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2008-05-08 01:11:39 EDT
Spec URL: http://www.cora.nwra.com/~orion/fedora/R-zoo.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/R-zoo-1.5-1.fc9.src.rpm
Description: 
An S3 class with methods for totally ordered indexed observations. It is
particularly aimed at irregular time series of numeric vectors/matrices and
factors. zoo's key design goals are independence of a particular index/date/
time class and consistency with with ts and base R by providing methods to
extend standard generics.
Comment 1 Alex Lancaster 2008-05-09 06:51:55 EDT
By chance I happen to be looking for this package myself in Fedora today.
Comment 2 Alex Lancaster 2008-05-09 06:56:21 EDT
First up the URL seems wrong:

http://cran.r-project.org/web/packages/lmtest/index.html

it probably should be:

http://cran.r-project.org/web/packages/zoo/index.html
Comment 3 Alex Lancaster 2008-05-09 07:01:49 EDT
Just some quick notes before I do the full review (probably won't get to until
later):

Builds fine in rawhide:

http://koji.fedoraproject.org/koji/taskinfo?taskID=601520

Not sure if 

BuildRequires:    tetex-latex

is the best BR for latex now that texlive has landed, I think there are some
generic tex(latex) provides now?  Although they may not work on F-8 or earlier.
 Check http://fedoraproject.org/wiki/Releases/FeatureTexLive and/or the texlive
maintainer for the current best practice.
Comment 4 Alex Lancaster 2008-05-09 07:33:49 EDT
rpmlint R-zoo-1.5-1.fc8.noarch.rpm 
R-zoo.noarch: W: wrong-file-end-of-line-encoding
/usr/share/R/library/zoo/doc/zoo-faq.Rnw
R-zoo.noarch: W: wrong-file-end-of-line-encoding
/usr/share/R/library/zoo/doc/zoo-quickref.Rnw
R-zoo.noarch: W: one-line-command-in-%post /usr/lib/rpm/R-make-search-index.sh
R-zoo.noarch: W: one-line-command-in-%postun /usr/lib/rpm/R-make-search-index.sh

According to:

http://fedoraproject.org/wiki/Packaging/R

the one-line-command warnings (the last 2) can be ignored, but the line-encoding
should probably be fixed.
Comment 5 Orion Poplawski 2008-05-09 11:37:28 EDT
Spec URL: http://www.cora.nwra.com/~orion/fedora/R-zoo.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/R-zoo-1.5-2.fc9.src.rpm

* Fri May 9 2008 Orion Poplawski <orion@cora.nwra.com> 1.5-2
- Fix URL
- Fix line endings
- Change requires to tex(latex)

Thanks for the comments.
Comment 6 Alex Lancaster 2008-05-11 02:06:38 EDT
Unfortunately it looks like the virtual provides haven't been added yet for F-7
or F-8, so you'll probably need a construct like this:

%if 0%{?fedora} >= 9
BuildRequires:    tex(latex)
%else
BuildRequires:    tetex-latex
%endif

ultimately (once F-8 goes EOL), you can then ultimately remove the tetex-latex BR.
Comment 7 Alex Lancaster 2008-05-11 02:43:04 EDT
Full review below.  Show me an updated spec that addresses the issue of the BR 
and I should be able to quickly approve.

 - Package meets naming and packaging guidelines: YES
 - Spec file matches base package name: YES
 - Spec has consistant macro usage: YES
 - Meets Packaging Guidelines: YES
 - License: YES (GPLv2 as per COPYRIGHTS)
 - License field in spec matches: YES
 - License file included in package: YES (COPYING file)
 - Spec in American English: YES
 - Spec is legible: YES
 - Sources match upstream md5sum: YES
af9f197a572233455a674a68bd7e8d9c  zoo_1.5-3.tar.gz

 - Package needs ExcludeArch: NO
 - BuildRequires correct: tex(latex) NEEDS-WORK (see below)
 - Spec handles locales/find_lang: N/A
 - Package is relocatable and has a reason to be. N/A
 - Package has %defattr and permissions on files is good.: YES
 - Package has a correct %clean section. YES
 - Package has correct buildroot: YES
      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 - Package is code or permissible content.: YES
 - Doc subpackage needed/used. N/A
 - Packages %doc files don't affect runtime. YES

 - Package is a GUI app and has a .desktop file N/A

 - Package compiles and builds on at least one arch. YES (see koji build above,
also works on F-8)
 - Package has no duplicate files in %files. YES
 - Package doesn't own any directories other packages own. YES
 - Package owns all the directories it creates. YES
 - rpmlint output can be ignored as per http://fedoraproject.org/wiki/Packaging/R
R-zoo.noarch: W: one-line-command-in-%post /usr/lib/rpm/R-make-search-index.sh
R-zoo.noarch: W: one-line-command-in-%postun /usr/lib/rpm/R-make-search-index.sh
 - final provides and requires are sane:
Provides:
 R-zoo = 1.5-2.fc8
Requires:
/bin/sh  
/bin/sh  
R  
R  
R  

SHOULD Items:

 - Should build in mock: YES
 - Should build on all supported archs: YES
 - Should function as described: YES (tested on F-8)
 - Should have sane scriptlets. YES
 - Should have subpackages require base package with fully versioned depend. N/A
 - Should have dist tag YES
 - Should package latest version YES

Issues:

1. Fix BuildRequires for LaTeX 
Comment 8 Alex Lancaster 2008-05-11 04:47:56 EDT
One last thought: it might be a good idea to update the Summary: to include the
term "time series" so it can be found easily in a "yum search" or similar.
Comment 9 Orion Poplawski 2008-05-12 13:15:50 EDT
* Mon May 12 2008 Orion Poplawski <orion@cora.nwra.com> 1.5-3
- Include time series in summary
- Fix up build requires for older versions

Spec URL: http://www.cora.nwra.com/~orion/fedora/R-zoo.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/R-zoo-1.5-3.fc9.src.rpm
Comment 10 Alex Lancaster 2008-05-13 05:42:12 EDT
Thanks for the changes, looks good.   Did a koji build on F-9 which worked:

http://koji.fedoraproject.org/koji/taskinfo?taskID=606658

so APPROVED.

(Note: there appears to be some issue with it building on F-10 because of the
update to 2.7.0: http://koji.fedoraproject.org/koji/taskinfo?taskID=606645 it's
looking for a missing unpackaged file, but this can probably be fixed easily
after import).
Comment 11 Alex Lancaster 2008-05-13 05:53:35 EDT
(In reply to comment #10)

> (Note: there appears to be some issue with it building on F-10 because of the
> update to 2.7.0: http://koji.fedoraproject.org/koji/taskinfo?taskID=606645 it's
> looking for a missing unpackaged file, but this can probably be fixed easily
> after import).

Looks like R-2.7.0 is a bit smarter about including standard files like NEWS if
they are present, so it should be added to the %doc in %files before import.  I
noticed there are a couple of other documentation files that should probably
included as well such as THANKS and WISHLIST.

These can be fixed during or just after import, but should be fixed before
building on any release.
Comment 12 Alex Lancaster 2008-05-19 22:39:32 EDT
Ping?  This has been approved so you should be able to import it (making sure
that you include NEWS in %files as per the (now updated) guidelines:
http://fedoraproject.org/wiki/Packaging/R )
Comment 13 Orion Poplawski 2008-05-20 11:30:15 EDT
New Package CVS Request
=======================
Package Name: R-zoo
Short Description: Z's ordered observations for irregular time series
Owners: orion
Branches: F-9 F-8 EL-5 EL-4
InitialCC: 
Cvsextras Commits:yes
Comment 14 Kevin Fenzi 2008-05-20 12:06:09 EDT
cvs done.
Comment 15 Alex Lancaster 2008-05-25 09:08:28 EDT
Looks like builds for R-zoo are now available in all releases, can you close the
bug as NEXTRELEASE?  Thanks.

Note You need to log in before you can comment on or make changes to this bug.